/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.abricot.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.abricot.client.eof.modele.EOBordereau;
import org.cocktail.abricot.client.eof.modele.EOBordereauRejet;
import org.cocktail.abricot.client.eof.modele.EOMandat;
import org.cocktail.application.client.eof.EOTypeBordereau;
import org.cocktail.application.client.eof.VFournisseur;
import org.cocktail.client.common.swing.TableSorter;
import org.cocktail.client.common.swing.ZEOTable;
import org.cocktail.client.common.swing.ZEOTableModel;
import org.cocktail.client.common.swing.ZEOTableModelColumn;
import org.cocktail.client.common.utilities.CocktailConstantes;
import org.cocktail.client.common.utilities.CocktailFormats;
import org.cocktail.client.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class VisaRejetView extends javax.swing.JFrame {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	protected EODisplayGroup  eodTypeBordereau, eodDepenses, eodSelection;
	protected ZEOTable myEOTableTypeBordereau, myEOTableDepenses, myEOTableSelection;
	protected ZEOTableModel myTableModelTypeBordereau, myTableModelDepenses, myTableModelSelection;
	protected TableSorter myTableSorterTypeBordereau, myTableSorterDepenses, myTableSorterSelection;

    /** Creates new form AffichageBSView */
    public VisaRejetView(java.awt.Frame parent, boolean modal, EODisplayGroup dgTypeBordereau, EODisplayGroup dgDepenses, EODisplayGroup dgSelection) {
      //  super(parent, modal);

        eodTypeBordereau = dgTypeBordereau;
        eodDepenses = dgDepenses;
        eodSelection = dgSelection;
       
        initComponents();
        
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        btnRefresh = new javax.swing.JButton();
        viewTableTypeBordereau = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        viewTableDepenses = new javax.swing.JPanel();
        btnViser = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreUb = new javax.swing.JTextField();
        viewTableSelection = new javax.swing.JPanel();
        tfFiltreNoRejet = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        checkBdxValides = new javax.swing.JRadioButton();
        checkBdxVises = new javax.swing.JRadioButton();
        jLabel4 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        btnRefresh.setText("Rafraîchir");
        btnRefresh.setToolTipText("Rafraichir la liste des dépenses");

        viewTableTypeBordereau.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableTypeBordereau.setLayout(new java.awt.BorderLayout());

        btnFermer.setText("Fermer");
        btnFermer.setToolTipText("Fermer la fenêtre");

        tfTitre.setBackground(new java.awt.Color(153, 153, 255));
        tfTitre.setEditable(false);
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("BORDEREAUX DE REJET");
        tfTitre.setFocusable(false);

        jLabel2.setText("Borderaux à VISER");

        viewTableDepenses.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableDepenses.setLayout(new java.awt.BorderLayout());

        btnViser.setText("VISER");
        btnViser.setToolTipText("Fermer la fenêtre");

        jLabel3.setForeground(new java.awt.Color(51, 51, 51));
        jLabel3.setText("UB ?");

        tfFiltreUb.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreUbActionPerformed(evt);
            }
        });

        viewTableSelection.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableSelection.setLayout(new java.awt.BorderLayout());

        tfFiltreNoRejet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreNoRejetActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Num Bord Rejet ?");

        buttonGroup1.add(checkBdxValides);
        checkBdxValides.setText("Bordereaux VALIDES");

        buttonGroup1.add(checkBdxVises);
        checkBdxVises.setText("Bordereaux VISES");

        jLabel4.setText("Détail du bordereau sélectionné");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1018, Short.MAX_VALUE)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 998, Short.MAX_VALUE)
                    .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 998, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnViser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 149, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 60, Short.MAX_VALUE)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 111, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreNoRejet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(359, 359, 359))
                            .add(viewTableTypeBordereau, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 855, Short.MAX_VALUE))
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkBdxVises)
                            .add(checkBdxValides)
                            .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 110, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 166, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(842, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTableTypeBordereau, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 146, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(20, 20, 20)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel3)
                            .add(tfFiltreUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(tfFiltreNoRejet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(btnRefresh, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(17, 17, 17)
                        .add(checkBdxValides)
                        .add(13, 13, 13)
                        .add(checkBdxVises)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableDepenses, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 147, Short.MAX_VALUE)
                .add(11, 11, 11)
                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 187, Short.MAX_VALUE)
                .add(22, 22, 22)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE)
                    .add(btnViser, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, Short.MAX_VALUE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1034)/2, (screenSize.height-676)/2, 1034, 676);
    }// </editor-fold>//GEN-END:initComponents

    private void tfFiltreUbActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreUbActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_tfFiltreUbActionPerformed

    private void tfFiltreNoRejetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreNoRejetActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfFiltreNoRejetActionPerformed

    

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	VisaRejetView dialog = new VisaRejetView(new javax.swing.JFrame(), true, null, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnRefresh;
    private javax.swing.JButton btnViser;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkBdxValides;
    private javax.swing.JRadioButton checkBdxVises;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JTextField tfFiltreNoRejet;
    private javax.swing.JTextField tfFiltreUb;
    private javax.swing.JTextField tfTitre;
    protected javax.swing.JPanel viewTableDepenses;
    protected javax.swing.JPanel viewTableSelection;
    protected javax.swing.JPanel viewTableTypeBordereau;
    // End of variables declaration//GEN-END:variables

    	/*
	 * (non-Javadoc)
	 * 
	 * @see fr.univlr.karukera.client.ZKarukeraPanel#initGUI()
	 */
	private void initGui() {
		
		btnFermer.setIcon(CocktailIcones.ICON_CLOSE);

		btnRefresh.setIcon(CocktailIcones.ICON_REFRESH_22);

		btnViser.setIcon(CocktailIcones.ICON_ADD);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodTypeBordereau, EOTypeBordereau.TBO_LIBELLE_KEY, "Type Bordereau", 120);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelTypeBordereau= new ZEOTableModel(eodTypeBordereau, myCols);
		myTableSorterTypeBordereau = new TableSorter(myTableModelTypeBordereau);

		myEOTableTypeBordereau = new ZEOTable(myTableSorterTypeBordereau);
		myTableSorterTypeBordereau.setTableHeader(myEOTableTypeBordereau.getTableHeader());		
		
		myEOTableTypeBordereau.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableTypeBordereau.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableTypeBordereau.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		
		
		viewTableTypeBordereau.setBorder(BorderFactory.createEmptyBorder());
		viewTableTypeBordereau.removeAll();
		viewTableTypeBordereau.setLayout(new BorderLayout());
		viewTableTypeBordereau.add(new JScrollPane(myEOTableTypeBordereau), BorderLayout.CENTER);
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodDepenses, EOBordereauRejet.GES_CODE_KEY, "UB", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOBordereauRejet.BRJ_NUM_KEY,  "No Bordereau", 40);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOBordereauRejet.BRJ_ETAT_KEY, "ETAT", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOBordereauRejet.BRJ_ETAT_KEY, "ETAT", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodDepenses, EOBordereauRejet.TYPE_BORDEREAU_KEY+"."+EOTypeBordereau.TBO_LIBELLE_KEY, "Type de bordereau", 200);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelDepenses= new ZEOTableModel(eodDepenses, myCols);
		myTableSorterDepenses = new TableSorter(myTableModelDepenses);

		myEOTableDepenses = new ZEOTable(myTableSorterDepenses);
		myTableSorterDepenses.setTableHeader(myEOTableDepenses.getTableHeader());		
		
		myEOTableDepenses.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableDepenses.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableDepenses.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableDepenses.setBorder(BorderFactory.createEmptyBorder());
		viewTableDepenses.removeAll();
		viewTableDepenses.setLayout(new BorderLayout());
		viewTableDepenses.add(new JScrollPane(myEOTableDepenses), BorderLayout.CENTER);
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodSelection, EOMandat.BORDEREAU_KEY+"."+EOBordereau.BOR_NUM_KEY, "Bord Emis", 30);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, EOMandat.DETAIL_NUMERO_KEY, "No", 30);
		col.setColumnClass(Integer.class);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, EOMandat.MOTIF_REJET_KEY, "Motif Rejet", 275);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

//		col = new ZEOTableModelColumn(eodSelection, EOMandat.MAN_DATE_REMISE_KEY, "Date Visa", 75);
//		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, EOMandat.DETAIL_TTC_KEY, "TTC", 30);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		col.setFormatDisplay(CocktailFormats.FORMAT_DECIMAL);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodSelection, EOMandat.V_FOURNISSEUR_KEY+"." + VFournisseur.ADR_NOM_KEY, "Nom Fournis / Client", 175);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelSelection= new ZEOTableModel(eodSelection, myCols);
		myTableSorterSelection = new TableSorter(myTableModelSelection);

		myEOTableSelection = new ZEOTable(myTableSorterSelection);
		myTableSorterSelection.setTableHeader(myEOTableSelection.getTableHeader());		
		
		myEOTableSelection.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableSelection.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableSelection.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);		
		
		viewTableSelection.setBorder(BorderFactory.createEmptyBorder());
		viewTableSelection.removeAll();
		viewTableSelection.setLayout(new BorderLayout());
		viewTableSelection.add(new JScrollPane(myEOTableSelection), BorderLayout.CENTER);
        }

	public ZEOTable getMyEOTableTypeBordereau() {
		return myEOTableTypeBordereau;
	}

	public void setMyEOTableTypeBordereau(ZEOTable myEOTableTypeBordereau) {
		this.myEOTableTypeBordereau = myEOTableTypeBordereau;
	}

	public ZEOTable getMyEOTableDepenses() {
		return myEOTableDepenses;
	}

	public void setMyEOTableDepenses(ZEOTable myEOTableDepenses) {
		this.myEOTableDepenses = myEOTableDepenses;
	}

	public ZEOTable getMyEOTableSelection() {
		return myEOTableSelection;
	}

	public void setMyEOTableSelection(ZEOTable myEOTableSelection) {
		this.myEOTableSelection = myEOTableSelection;
	}

	public ZEOTableModel getMyTableModelTypeBordereau() {
		return myTableModelTypeBordereau;
	}

	public void setMyTableModelTypeBordereau(ZEOTableModel myTableModelTypeBordereau) {
		this.myTableModelTypeBordereau = myTableModelTypeBordereau;
	}

	public ZEOTableModel getMyTableModelDepenses() {
		return myTableModelDepenses;
	}

	public void setMyTableModelDepenses(ZEOTableModel myTableModelDepenses) {
		this.myTableModelDepenses = myTableModelDepenses;
	}

	public ZEOTableModel getMyTableModelSelection() {
		return myTableModelSelection;
	}

	public void setMyTableModelSelection(ZEOTableModel myTableModelSelection) {
		this.myTableModelSelection = myTableModelSelection;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnRefresh() {
		return btnRefresh;
	}

	public void setBtnRefresh(javax.swing.JButton btnRefresh) {
		this.btnRefresh = btnRefresh;
	}

	public javax.swing.JButton getBtnViser() {
		return btnViser;
	}

	public void setBtnViser(javax.swing.JButton btnViser) {
		this.btnViser = btnViser;
	}

	public javax.swing.JRadioButton getCheckBdxValides() {
		return checkBdxValides;
	}

	public void setCheckBdxValides(javax.swing.JRadioButton checkBdxValides) {
		this.checkBdxValides = checkBdxValides;
	}

	public javax.swing.JRadioButton getCheckBdxVises() {
		return checkBdxVises;
	}

	public void setCheckBdxVises(javax.swing.JRadioButton checkBdxVises) {
		this.checkBdxVises = checkBdxVises;
	}

	public javax.swing.JTextField getTfFiltreNoRejet() {
		return tfFiltreNoRejet;
	}

	public void setTfFiltreNoRejet(javax.swing.JTextField tfFiltreNoRejet) {
		this.tfFiltreNoRejet = tfFiltreNoRejet;
	}

	public javax.swing.JTextField getTfFiltreUb() {
		return tfFiltreUb;
	}

	public void setTfFiltreUb(javax.swing.JTextField tfFiltreUb) {
		this.tfFiltreUb = tfFiltreUb;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	

}
